<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="ebay.hibernate.DbShop" table="DB_SHOP">
        <id name="sid" type="java.lang.String">
            <column name="SID" length="100" />
            <generator class="assigned" />
        </id>
        <property name="corpid" type="java.lang.String">
            <column name="CORPID" length="100" />
        </property>
        <property name="name" type="java.lang.String">
            <column name="NAME" length="100" />
        </property>
        <property name="descr" type="java.lang.String">
            <column name="DESCR" length="4000" />
        </property>
        <property name="password" type="java.lang.String">
            <column name="PASSWORD" length="100" />
        </property>
        <property name="slevel" type="java.lang.String">
            <column name="SLEVEL" length="100" />
        </property>
        <property name="credit1" type="java.lang.Integer">
            <column name="CREDIT1" precision="8" scale="0" />
        </property>
        <property name="credit2" type="java.lang.Integer">
            <column name="CREDIT2" precision="8" scale="0" />
        </property>
        <property name="credit3" type="java.lang.Integer">
            <column name="CREDIT3" precision="8" scale="0" />
        </property>
        <property name="manager" type="java.lang.String">
            <column name="MANAGER" length="100" />
        </property>
        <property name="tele" type="java.lang.String">
            <column name="TELE" length="100" />
        </property>
        <property name="fax" type="java.lang.String">
            <column name="FAX" length="100" />
        </property>
        <property name="email" type="java.lang.String">
            <column name="EMAIL" length="1000" />
        </property>
        <property name="ordernum" type="java.lang.Integer">
            <column name="ORDERNUM" precision="8" scale="0" />
        </property>
        <property name="templetfile" type="java.lang.String">
            <column name="TEMPLETFILE" length="200" />
        </property>
        <property name="templetcontent" type="java.lang.String">
            <column name="TEMPLETCONTENT" length="4000" />
        </property>
        <property name="templetclob" type="java.lang.String">
            <column name="TEMPLETCLOB" />
        </property>
        <property name="oper" type="java.lang.String">
            <column name="OPER" length="50" />
        </property>
        <property name="opertime" type="java.util.Date">
            <column name="OPERTIME" length="7" />
        </property>
        <property name="rate" type="java.lang.Double">
            <column name="RATE" precision="10" scale="4" />
        </property>
        <property name="reserve1" type="java.lang.String">
            <column name="RESERVE1" length="100" />
        </property>
        <property name="reserve2" type="java.lang.String">
            <column name="RESERVE2" length="100" />
        </property>
        <property name="reserve3" type="java.lang.String">
            <column name="RESERVE3" length="100" />
        </property>
        <property name="reserve4" type="java.lang.String">
            <column name="RESERVE4" length="100" />
        </property>
        <property name="reserve5" type="java.lang.String">
            <column name="RESERVE5" length="100" />
        </property>
        <property name="reserve6" type="java.lang.String">
            <column name="RESERVE6" length="100" />
        </property>
        <property name="reserve7" type="java.lang.String">
            <column name="RESERVE7" length="100" />
        </property>
        <property name="reserve8" type="java.lang.String">
            <column name="RESERVE8" length="100" />
        </property>
        <property name="reserve9" type="java.lang.String">
            <column name="RESERVE9" length="100" />
        </property>
        <property name="reserve10" type="java.lang.String">
            <column name="RESERVE10" length="100" />
        </property>
        <property name="reserve11" type="java.lang.String">
            <column name="RESERVE11" length="100" />
        </property>
        <property name="reserve12" type="java.lang.String">
            <column name="RESERVE12" length="100" />
        </property>
        <property name="reserve13" type="java.lang.String">
            <column name="RESERVE13" length="2000" />
        </property>
        <property name="reserve14" type="java.lang.String">
            <column name="RESERVE14" length="100" />
        </property>
        <property name="reserve15" type="java.lang.Integer">
            <column name="RESERVE15" precision="8" scale="0" />
        </property>
        <property name="reserve16" type="java.lang.Integer">
            <column name="RESERVE16" precision="8" scale="0" />
        </property>
        <property name="reserve17" type="java.lang.Double">
            <column name="RESERVE17" precision="10" />
        </property>
        <property name="reserve18" type="java.lang.Double">
            <column name="RESERVE18" precision="10" />
        </property>
        <property name="reserve19" type="java.lang.String">
            <column name="RESERVE19" length="4000" />
        </property>
        <property name="reserve20" type="java.lang.String">
            <column name="RESERVE20" length="4000" />
        </property>
        <property name="itemid" type="java.lang.String">
            <column name="ITEMID" length="100" />
        </property>
        <property name="tokenid" type="java.lang.String">
            <column name="TOKENID" length="2000" />
        </property>
        <property name="openflag" type="java.lang.String">
            <column name="OPENFLAG" length="10" />
        </property>
        <property name="tokenflag" type="java.lang.String">
            <column name="TOKENFLAG" length="100" />
        </property>
        <property name="tokendescr" type="java.lang.String">
            <column name="TOKENDESCR" length="1000" />
        </property>
        <property name="contact" type="java.lang.String">
            <column name="CONTACT" length="100" />
        </property>
        <property name="contacte" type="java.lang.String">
            <column name="CONTACTE" length="100" />
        </property>
        <property name="street" type="java.lang.String">
            <column name="STREET" length="1000" />
        </property>
        <property name="streete" type="java.lang.String">
            <column name="STREETE" length="1000" />
        </property>
        <property name="province" type="java.lang.String">
            <column name="PROVINCE" length="500" />
        </property>
        <property name="city" type="java.lang.String">
            <column name="CITY" length="500" />
        </property>
        <property name="district" type="java.lang.String">
            <column name="DISTRICT" length="500" />
        </property>
        <property name="postcode" type="java.lang.String">
            <column name="POSTCODE" length="50" />
        </property>
        <property name="mobile" type="java.lang.String">
            <column name="MOBILE" length="20" />
        </property>
        <property name="phone" type="java.lang.String">
            <column name="PHONE" length="20" />
        </property>
        <property name="eubemail" type="java.lang.String">
            <column name="EUBEMAIL" length="100" />
        </property>
        <property name="devuserid" type="java.lang.String">
            <column name="DEVUSERID" length="100" />
        </property>
        <property name="eubtonken" type="java.lang.String">
            <column name="EUBTONKEN" length="2000" />
        </property>
        <property name="selluserid" type="java.lang.String">
            <column name="SELLUSERID" length="500" />
        </property>
        <property name="version" type="java.lang.String">
            <column name="VERSION" length="100" />
        </property>
        <property name="ebaysitid" type="java.lang.String">
            <column name="EBAYSITID" length="50" />
        </property>
        <property name="provinceen" type="java.lang.String">
            <column name="PROVINCEEN" length="100" />
        </property>
        <property name="cityen" type="java.lang.String">
            <column name="CITYEN" length="100" />
        </property>
        <property name="districten" type="java.lang.String">
            <column name="DISTRICTEN" length="100" />
        </property>
        <property name="ebayfeemoneyrate" type="java.lang.String">
            <column name="EBAYFEEMONEYRATE" length="400" />
        </property>
        <property name="accesskeyid" type="java.lang.String">
            <column name="ACCESSKEYID" length="400" />
        </property>
        <property name="secretaccesskey" type="java.lang.String">
            <column name="SECRETACCESSKEY" length="400" />
        </property>
        <property name="applicationname" type="java.lang.String">
            <column name="APPLICATIONNAME" length="400" />
        </property>
        <property name="sellerid" type="java.lang.String">
            <column name="SELLERID" length="400" />
        </property>
        <property name="marketplaceid" type="java.lang.String">
            <column name="MARKETPLACEID" length="400" />
        </property>
        <property name="starttime" type="java.lang.String">
            <column name="STARTTIME" length="200" />
        </property>
        <property name="endtime" type="java.lang.String">
            <column name="ENDTIME" length="200" />
        </property>
        <property name="amazon" type="java.lang.String">
            <column name="AMAZON" length="200" />
        </property>
        <property name="amazonflag" type="java.lang.String">
            <column name="AMAZONFLAG" length="200" />
        </property>
        <property name="spaypalname" type="java.lang.String">
            <column name="SPAYPALNAME" length="100" />
        </property>
        <property name="amazonurl" type="java.lang.String">
            <column name="AMAZONURL" length="200" />
        </property>
        <property name="amazonurlname" type="java.lang.String">
            <column name="AMAZONURLNAME" length="200" />
        </property>
        <property name="ebayshopid" type="java.lang.String">
            <column name="EBAYSHOPID" length="100" />
        </property>
        <property name="ebayshopname" type="java.lang.String">
            <column name="EBAYSHOPNAME" length="100" />
        </property>
        <property name="orderoper" type="java.lang.Integer">
            <column name="ORDEROPER" precision="5" scale="0" />
        </property>
        <property name="paypalemail" type="java.lang.String">
            <column name="PAYPALEMAIL" length="100" />
        </property>
        <property name="shopmanager" type="java.lang.String">
            <column name="SHOPMANAGER" length="100" />
        </property>
        <property name="cscartemail" type="java.lang.String">
            <column name="CSCARTEMAIL" length="100" />
        </property>
    </class>
</hibernate-mapping>
